গুগল অ্যানালিটিক্স এপিআই কুইকস্টার্ট

এই কুইকস্টার্টের জন্য আপনি ডেটা এপিআই (Data API) অথবা অ্যাডমিন এপিআই (Admin API) ব্যবহার করতে পারেন।

একটি API বেছে নিন: ডেটা API অ্যাডমিন API

আপনি ব্যবহারকারী অ্যাকাউন্ট বা পরিষেবা অ্যাকাউন্ট দিয়ে প্রমাণীকরণ করতে পারেন:

একটি অ্যাকাউন্টের ধরন বেছে নিন:

এই কুইকস্টার্টে, আপনি একটি runReport রিকোয়েস্ট তৈরি ও প্রেরণ করবেন।

ধাপগুলোর সারসংক্ষেপ নিচে দেওয়া হলো:

  1. সরঞ্জাম ও প্রবেশাধিকার সেট আপ করুন।
  2. এপিআইটি সক্রিয় করুন।
  3. একটি SDK ইনস্টল করুন।
  4. একটি এপিআই কল করুন।

শুরু করার আগে

  1. gcloud CLI ইনস্টল এবং চালু করুন

  2. অ্যাপ্লিকেশন ডিফল্ট ক্রেডেনশিয়াল তৈরি করতে এবং আপনার অ্যাকাউন্টে প্রয়োজনীয় স্কোপগুলো যোগ করতে, নিম্নলিখিতটি চালান:

    gcloud auth application-default login --scopes="https://www.googleapis.com/auth/cloud-platform,https://www.googleapis.com/auth/analytics.readonly"
    
  3. Google Analytics UI- তে, আপনার ব্যবহারকারী অ্যাকাউন্টকে একটি Google Analytics প্রপার্টিতে অ্যাক্সেস দিন।

ডেটা এপিআই সক্রিয় করুন

একটি গুগল ক্লাউড প্রজেক্ট নির্বাচন বা তৈরি করতে এবং এপিআই সক্রিয় করতে, ‘Enable the Google Analytics Data API v1’-এ ক্লিক করুন।

Google Analytics Data API v1 সক্রিয় করুন

একটি SDK ইনস্টল করুন

আপনার প্রোগ্রামিং ভাষার জন্য এসডিকে ইনস্টল করুন।

জাভা

জাভা ক্লায়েন্ট লাইব্রেরি ইনস্টলেশন গাইড

পিএইচপি

পিএইচপি ক্লায়েন্ট লাইব্রেরি ইনস্টলেশন গাইড

পাইথন

পাইথন ক্লায়েন্ট লাইব্রেরি ইনস্টলেশন গাইড

নোড.জেএস

নোড.জেএস ক্লায়েন্ট লাইব্রেরি ইনস্টলেশন গাইড

.NET

.NET ক্লায়েন্ট লাইব্রেরি ইনস্টলেশন গাইড

রুবি

রুবি ক্লায়েন্ট লাইব্রেরি ইনস্টলেশন গাইড

যান

go get google.golang.org/genproto/googleapis/analytics/data/v1beta

বিশ্রাম

নিম্নলিখিত তথ্য প্রবেশ করিয়ে আপনার এনভায়রনমেন্ট ভেরিয়েবল কনফিগার করুন। PROJECT_ID জায়গায় আপনার Google Cloud প্রজেক্টের আইডি এবং PROPERTY_ID জায়গায় আপনার Google Analytics প্রপার্টির আইডি বসান।

  export PROJECT_ID=PROJECT_ID
  export PROPERTY_ID=PROPERTY_ID

এপিআই কল করুন

আপনার সেটআপ যাচাই করতে এবং এপিআই কল করতে, নিম্নলিখিত নমুনাটি চালান।

এই নমুনাটি runReport মেথডকে কল করে। এর রেসপন্সে আপনার প্রপার্টির সক্রিয় ব্যবহারকারীদের তালিকা দেওয়া হয়।

সমস্ত অ্যানালিটিক্স এপিআই কোড স্যাম্পল ইনস্টল করতে আমাদের গিটহাব দেখুন।

জাভা

import com.google.analytics.data.v1beta.BetaAnalyticsDataClient;
import com.google.analytics.data.v1beta.DateRange;
import com.google.analytics.data.v1beta.Dimension;
import com.google.analytics.data.v1beta.Metric;
import com.google.analytics.data.v1beta.Row;
import com.google.analytics.data.v1beta.RunReportRequest;
import com.google.analytics.data.v1beta.RunReportResponse;

/**
 * Google Analytics Data API sample quickstart application.
 *
 * <p>This application demonstrates the usage of the Analytics Data API using service account
 * credentials.
 *
 * <p>Before you start the application, please review the comments starting with "TODO(developer)"
 * and update the code to use correct values.
 *
 * <p>To run this sample using Maven:
 *
 * <pre>{@code
 * cd google-analytics-data
 * mvn compile exec:java -Dexec.mainClass="com.google.analytics.data.samples.QuickstartSample"
 * }</pre>
 */
public class QuickstartSample {

  public static void main(String... args) throws Exception {
    /**
     * TODO(developer): Replace this variable with your Google Analytics 4 property ID before
     * running the sample.
     */
    String propertyId = "YOUR-GA4-PROPERTY-ID";
    sampleRunReport(propertyId);
  }

  // This is an example snippet that calls the Google Analytics Data API and runs a simple report
  // on the provided GA4 property id.
  static void sampleRunReport(String propertyId) throws Exception {
    // Using a default constructor instructs the client to use the credentials
    // specified in GOOGLE_APPLICATION_CREDENTIALS environment variable.
    try (BetaAnalyticsDataClient analyticsData = BetaAnalyticsDataClient.create()) {

      RunReportRequest request =
          RunReportRequest.newBuilder()
              .setProperty("properties/" + propertyId)
              .addDimensions(Dimension.newBuilder().setName("city"))
              .addMetrics(Metric.newBuilder().setName("activeUsers"))
              .addDateRanges(DateRange.newBuilder().setStartDate("2020-03-31").setEndDate("today"))
              .build();

      // Make the request.
      RunReportResponse response = analyticsData.runReport(request);

      System.out.println("Report result:");
      // Iterate through every row of the API response.
      for (Row row : response.getRowsList()) {
        System.out.printf(
            "%s, %s%n", row.getDimensionValues(0).getValue(), row.getMetricValues(0).getValue());
      }
    }
  }
}

পিএইচপি

require 'vendor/autoload.php';

use Google\Analytics\Data\V1beta\Client\BetaAnalyticsDataClient;
use Google\Analytics\Data\V1beta\DateRange;
use Google\Analytics\Data\V1beta\Dimension;
use Google\Analytics\Data\V1beta\Metric;
use Google\Analytics\Data\V1beta\RunReportRequest;

/**
 * TODO(developer): Replace this variable with your Google Analytics 4
 *   property ID before running the sample.
 */
$property_id = 'YOUR-GA4-PROPERTY-ID';

// Using a default constructor instructs the client to use the credentials
// specified in GOOGLE_APPLICATION_CREDENTIALS environment variable.
$client = new BetaAnalyticsDataClient();

// Make an API call.
$request = (new RunReportRequest())
    ->setProperty('properties/' . $property_id)
    ->setDateRanges([
        new DateRange([
            'start_date' => '2020-03-31',
            'end_date' => 'today',
        ]),
    ])
    ->setDimensions([new Dimension([
            'name' => 'city',
        ]),
    ])
    ->setMetrics([new Metric([
            'name' => 'activeUsers',
        ])
    ]);
$response = $client->runReport($request);

// Print results of an API call.
print 'Report result: ' . PHP_EOL;

foreach ($response->getRows() as $row) {
    print $row->getDimensionValues()[0]->getValue()
        . ' ' . $row->getMetricValues()[0]->getValue() . PHP_EOL;
}

পাইথন

from google.analytics.data_v1beta import BetaAnalyticsDataClient
from google.analytics.data_v1beta.types import (
    DateRange,
    Dimension,
    Metric,
    RunReportRequest,
)


def sample_run_report(property_id="YOUR-GA4-PROPERTY-ID"):
    """Runs a simple report on a Google Analytics 4 property."""
    # TODO(developer): Uncomment this variable and replace with your
    #  Google Analytics 4 property ID before running the sample.
    # property_id = "YOUR-GA4-PROPERTY-ID"

    # Using a default constructor instructs the client to use the credentials
    # specified in GOOGLE_APPLICATION_CREDENTIALS environment variable.
    client = BetaAnalyticsDataClient()

    request = RunReportRequest(
        property=f"properties/{property_id}",
        dimensions=[Dimension(name="city")],
        metrics=[Metric(name="activeUsers")],
        date_ranges=[DateRange(start_date="2020-03-31", end_date="today")],
    )
    response = client.run_report(request)

    print("Report result:")
    for row in response.rows:
        print(row.dimension_values[0].value, row.metric_values[0].value)

নোড.জেএস

  /**
   * TODO(developer): Uncomment this variable and replace with your
   *   Google Analytics 4 property ID before running the sample.
   */
  // propertyId = 'YOUR-GA4-PROPERTY-ID';

  // Imports the Google Analytics Data API client library.
  const {BetaAnalyticsDataClient} = require('@google-analytics/data');

  // Using a default constructor instructs the client to use the credentials
  // specified in GOOGLE_APPLICATION_CREDENTIALS environment variable.
  const analyticsDataClient = new BetaAnalyticsDataClient();

  // Runs a simple report.
  async function runReport() {
    const [response] = await analyticsDataClient.runReport({
      property: `properties/${propertyId}`,
      dateRanges: [
        {
          startDate: '2020-03-31',
          endDate: 'today',
        },
      ],
      dimensions: [
        {
          name: 'city',
        },
      ],
      metrics: [
        {
          name: 'activeUsers',
        },
      ],
    });

    console.log('Report result:');
    response.rows.forEach((row) => {
      console.log(row.dimensionValues[0], row.metricValues[0]);
    });
  }

  runReport();

.NET

using System;
using Google.Analytics.Data.V1Beta;

namespace AnalyticsSamples
{
    class QuickStart
    {
        static void SampleRunReport(string propertyId = "YOUR-GA4-PROPERTY-ID")
        {
            /**
             * TODO(developer): Uncomment this variable and replace with your
             *  Google Analytics 4 property ID before running the sample.
             */
            // propertyId = "YOUR-GA4-PROPERTY-ID";

            // Using a default constructor instructs the client to use the credentials
            // specified in GOOGLE_APPLICATION_CREDENTIALS environment variable.
            BetaAnalyticsDataClient client = BetaAnalyticsDataClient.Create();

            // Initialize request argument(s)
            RunReportRequest request = new RunReportRequest
            {
                Property = "properties/" + propertyId,
                Dimensions = { new Dimension { Name = "city" } },
                Metrics = { new Metric { Name = "activeUsers" } },
                DateRanges =
                {
                    new DateRange { StartDate = "2020-03-31", EndDate = "today" },
                },
            };

            // Make the request
            RunReportResponse response = client.RunReport(request);

            Console.WriteLine("Report result:");
            foreach (Row row in response.Rows)
            {
                Console.WriteLine(
                    "{0}, {1}",
                    row.DimensionValues[0].Value,
                    row.MetricValues[0].Value
                );
            }
        }

        static int Main(string[] args)
        {
            if (args.Length > 0)
            {
                SampleRunReport(args[0]);
            }
            else
            {
                SampleRunReport();
            }
            return 0;
        }
    }
}

বিশ্রাম

এই অনুরোধটি পাঠাতে, কমান্ড লাইন থেকে `curl` কমান্ডটি চালান অথবা আপনার অ্যাপ্লিকেশনে REST কলটি অন্তর্ভুক্ত করুন।

curl -X POST \
  -H "Authorization: Bearer $(gcloud auth application-default print-access-token)" \
  -H "x-goog-user-project: ${PROJECT_ID}" \
  -H "Content-Type: application/json" \
  -d '
  {
    "dateRanges": [
      {
        "startDate": "2025-01-01",
        "endDate": "2025-02-01"
      }
    ],
    "dimensions": [
      {
        "name": "country"
      }
    ],
    "metrics": [
      {
        "name": "activeUsers"
      }
    ]
  }'  https://analyticsdata.googleapis.com/v1beta/properties/${PROPERTY_ID}:runReport

এখানে JSON ফরম্যাটে একটি নমুনা প্রতিক্রিয়া দেওয়া হলো:

{
  "dimensionHeaders": [
    {
      "name": "country"
    }
  ],
  "metricHeaders": [
    {
      "name": "activeUsers",
      "type": "TYPE_INTEGER"
    }
  ],
  "rows": [
    {
      "dimensionValues": [
        {
          "value": "United States"
        }
      ],
      "metricValues": [
        {
          "value": "3242"
        }
      ]
    },
    {
      "dimensionValues": [
        {
          "value": "(not set)"
        }
      ],
      "metricValues": [
        {
          "value": "3015"
        }
      ]
    },
    {
      "dimensionValues": [
        {
          "value": "India"
        }
      ],
      "metricValues": [
        {
          "value": "805"
        }
      ]
    }
  ],
  "rowCount": 3,
  "metadata": {
    "currencyCode": "USD",
    "timeZone": "America/Los_Angeles"
  },
  "kind": "analyticsData#runReport"
}